@ECHO OFF


setlocal

cd /d "%~dp0"


set MEMORYFILE=etc\VCSSL_Memory.ini

type nul > %MEMORYFILE%

SET MEMORYLINE=



	ECHO  - VCSSL -
	ECHO ----------------------------------------------------------------------
	ECHO.
	ECHO   VCSSLの実行で使用するメモリー容量を MB（メガバイト）単位で入力し、
	ECHO   Enter キーを押してください。
	ECHO.
	ECHO   標準設定値を使用する場合は、そのまま Enter キーを押してください。
	ECHO.
	ECHO.　※メモリー容量設定は、VCSSL_*.*.*.batまたは
	ECHO.　　VCSSL_Editor_*.*.*.batによる起動時のみ有効です。
	ECHO.
	ECHO ======================================================================
	ECHO.
	SET /P MEMORYLINE="使用するメモリー容量 [ MB ] = "
	ECHO.
	ECHO 使用するメモリー容量を、上記の値に設定しました。
	ECHO この値は、設定ファイル「 %MEMORYFILE% 」に記載されています。
	ECHO.
	ECHO.



SET /A MEMORYLINE_NUM = MEMORYLINE + 0
IF "%MEMORYLINE%"=="%MEMORYLINE_NUM%" (
	ECHO %MEMORYLINE_NUM%>>%MEMORYFILE%
) ELSE (
	ECHO.
)

ECHO. >>%MEMORYFILE%

pause



endlocal

